package dao

import org.jetbrains.exposed.dao.IntEntity
import org.jetbrains.exposed.dao.IntEntityClass
import org.jetbrains.exposed.dao.id.EntityID
import org.jetbrains.exposed.dao.id.IntIdTable

object Keys : IntIdTable() {
    val value = varchar("content", 256)
}

class Key(id: EntityID<Int>) : IntEntity(id) {
    companion object : IntEntityClass<Key>(Keys)

    var value by Keys.value


}
fun Key.toView(): KeyView {
    return KeyView(this.value)
}

data class KeyView(val value: String)