import dao.DB
import dao.ItemView
import dao.KeyView
import io.javalin.apibuilder.CrudHandler
import io.javalin.http.Context

class KeysController : CrudHandler {
    private val db: DB = DB()

    override fun create(ctx: Context) {
        db.createKey(ctx)
    }

    override fun delete(ctx: Context, resourceId: String) {
        db.deleteKey(ctx)
    }

    override fun getAll(ctx: Context) {
        ctx.status(404)
    }

    override fun getOne(ctx: Context, resourceId: String) {
        ctx.status(404)
    }

    override fun update(ctx: Context, resourceId: String) {
        ctx.status(404)
    }

    fun checkKey(ctx: Context) {
        db.checkKey(ctx)
    }

}